import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceJahadSellReportInfoDashboardService = createAsyncThunk(
  "PROVINCE_JAHAD_GET_SELL_REPORT_INFO_DASHBOARD_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "/cooperative-warehouse-dashboard",
      {
        params: {
          ...d,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
